import request from '@/utils/request'

// 查询维修任务列表
export function listRepairTask(query) {
	return request({
		url: '/tpmMould/repairTask/list',
		method: 'get',
		params: query
	})
}

// 查询维修任务详细
export function getRepairTask(id) {
	return request({
		url: '/tpmMould/repairTask/' + id,
		method: 'get'
	})
}

// 新增维修任务
export function addRepairTask(data) {
	return request({
		url: '/tpmMould/repairTask',
		method: 'post',
		data: data
	})
}

// 修改维修任务
export function updateRepairTask(data) {
	return request({
		url: '/tpmMould/repairTask',
		method: 'put',
		data: data
	})
}

// 删除维修任务
export function delRepairTask(id) {
	return request({
		url: '/tpmMould/repairTask/' + id,
		method: 'delete'
	})
}

// 完成维修任务
export function finishRepairTask(ids) {
	return request({
		url: '/tpmMould/repairTask/finish',
		method: 'post',
		data: ids
	})
}